Главная страница \ Разработки \ Программы \ Обновление Denwer (Apache 2.4, PHP 7, MySQL 5.7)

Обновление Denwer (Apache 2.4, PHP 7, MySQL 5.7)

Denwer Неофициальный апдейт, Apache 2.4 PHP7 MySQL 5.7Появилась необходимость быстро развернуть локальный сервер со свежими версиями ПО (для всякого рода Joomla, WordPress и прочих Drupal), как подсказывала память - есть отличное решение Денвер. Но оказалось, что автор уже долгое время не поддерживает проект и не выпускает обновления для него. Простым же путём (скачиванием и заменой старых дистрибутивов на новые) решить задачу не получилось. Т.к. был выбор или настраивать систему с нуля или попытаться обновить существующую систему решено было обновить существующую. Для этого пришлось интегрировать в сборку VC2015 Redistributable, а также, заодно, оставить многие нужные библиотеки. С сегодняшними скоростями подключения к сети интернет и размерами флешек/жёстких дисков проблема нехватки места уже так остро не стоит.

К сожалению, пришлось практически полностью перекроить существующий пакет Денвера, поэтому фактически установка и настройка происходят по принципу полной замены базовой установки.

В текущей сборке представлено следующее ПО:
Apache 2.4.23 (со всеми модулями)
PHP 7.0.10 (со всеми расширениями + xdebug)
MySQL 5.7.15
PhpMyAdmin 4.6.4

Скачать обновление Denwer 3

Важно!

В связи с участившимися вопросами считаю необходимым дать пояснения.

Данное обновление содержит новую версию PHP 7 в которой произошли значительные изменения в составе предоставляемых возможностей.

Наиболее важно для многих - с данной версии PHP стали отсутствовать некоторые функции, особенно обратите внимание на отсутствие mysql_*, mssql_*.

Поэтому перед обновлением крайне рекомендую ознакомиться с разделом о миграции с PHP 5.6.* на PHP 7.0.*.

Видеоинструкция по установке обновлённого пакета

Вопросы? Предложения?

Владислав [08.06.2017]
Пишет что. Таблиц в базе данных не обнаружено. Сделал все как на видео
лулец [16.05.2017]
благадарность если все работает
Мирон [06.05.2017]
Все бы отлично! НО
Нет старых баз То есть все сайты с MySQL ниже 5.7 НЕ РАБОТАЮТ!

Это вообще можно исправить ?

Можно тестировать новые сайты

Но старые тоже нужны!
Евгений Иванов [04.05.2017]
При запуске выдает could not find usr\local\mysql-5.7 (хотя такая папка есть) - в чем может быть косяк?
core [24.04.2017]
Автору респект! :good:
андрей [12.04.2017]
После установки та же проблема:

Fatal error: Uncaught Error: Call to undefined function mysql_connect() in Z:\denwer\www\denwer\Tools\addmuser\index.php:5 Stack trace: #0 {main} thrown in Z:\denwer\www\denwer\Tools\addmuser\index.php on line 5

Ваша рекомендация

выполните команду Пуск->Выполнить
Z:\usr\local\mysql-5.7\bin\mysql_upgrade.exe -u root --force

не помогла. Денвер перезагружал, комп перезагружал. Ошибка при создании БД и пользователя так и осталась.
Виктор [12.04.2017]
Добрый день.

У кого такая ошибка в Phpmyadmin при создании пользователя для БД. #1054 - Неизвестный столбец 'password_last_changed' в 'mysql.user

Делаем просто:

1. Открыли phpmyadmin, слева окройте + БД mysql, в ней нажмите на таблицу User и в ней на Столбцы. Откроется справа список столбцов (полей).
2. Вверху нажмите SQL, удалите, если там есть какие-то команды, введите это: ALTER TABLE `user` ADD `password_last_changed` timestamp NULL DEFAULT NULL

и нажмите "Вперед". Все. Поле создастся и можно создавать для БД пользователя.

Удачи.
Екатерина [30.03.2017]
После установки обновления денвер выдает ошибку и не устанавливается джумла
Nika [29.03.2017]
Fatal error: Uncaught Error: Call to undefined function mysql_connect() in Z:\denwer\www\denwer\Tools\addmuser\index.php:5 Stack trace: #0 {main} thrown in Z:\denwer\www\denwer\Tools\addmuser\index.php on line 5
Landgraph [09.03.2017]
Доброго времени суток!

Для тех, у кого наблюдаются проблемы с mysql, выполните команду Пуск->Выполнить

Z:\usr\local\mysql-5.7\bin\mysql_upgrade.exe -u root --force
[1]  [2]  [3]  [4]  [5
Powered by Elise